/*  ============================================================================================ */
/*  MATERIAL SHADOW STYLES  ==================================================================== */
/*  ============================================================================================ */

	.shadow--2dp  { box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12); }
	.shadow--3dp  { box-shadow: 0 3px 4px 0 rgba(0, 0, 0, 0.14), 0 3px 3px -2px rgba(0, 0, 0, 0.2), 0 1px 8px 0 rgba(0, 0, 0, 0.12); }
	.shadow--4dp  { box-shadow: 0 4px 5px 0 rgba(0, 0, 0, 0.14), 0 1px 10px 0 rgba(0, 0, 0, 0.12), 0 2px 4px -1px rgba(0, 0, 0, 0.2); }
	.shadow--6dp  { box-shadow: 0 6px 10px 0 rgba(0, 0, 0, 0.14), 0 1px 18px 0 rgba(0, 0, 0, 0.12), 0 3px 5px -1px rgba(0, 0, 0, 0.2); }
	.shadow--8dp  { box-shadow: 0 8px 10px 1px rgba(0, 0, 0, 0.14), 0 3px 14px 2px rgba(0, 0, 0, 0.12), 0 5px 5px -3px rgba(0, 0, 0, 0.2); }
	.shadow--16dp { box-shadow: 0 16px 24px 2px rgba(0, 0, 0, 0.14), 0 6px 30px 5px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(0, 0, 0, 0.2); }
	.shadow--24dp { box-shadow: 0 9px 46px 8px rgba(0, 0, 0, 0.14), 0 11px 15px -7px rgba(0, 0, 0, 0.12), 0 24px 38px 3px rgba(0, 0, 0, 0.2); }



/*  ============================================================================================ */
/*  ANGULAR STYLES  ============================================================================ */
/*  ============================================================================================ */
	
	.animate-show { height:100vh; }

	.animate-show.ng-hide-remove.ng-hide-remove-active {
		-webkit-transition-duration: 0.6s;
		   -moz-transition-duration: 0.6s;
				transition-duration: 0.6s;
		-webkit-transition-timing-function: ease-in;
		   -moz-transition-timing-function: ease-in;
				transition-timing-function: ease-in;
	}

	.animate-show.ng-hide {	height:0; }

